Value Items
Create acceptance criterion
Creates an acceptance criterion for a value item.
POST
/
v1
/
public
/
value-items
/
{id}
/
acceptance-criteria
Create acceptance criterion
curl --request POST \
--url https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO"
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria"
payload = {
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({criterion: 'Dashboard shows trend for last 30 days', status: 'TO_DO'})
};
fetch('https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'criterion' => 'Dashboard shows trend for last 30 days',
'status' => 'TO_DO'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria"
payload := strings.NewReader("{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "b3d45b4f-0192-4c9b-9d3d-5f0f2d8f7c11",
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO",
"valueItem": {
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228"
},
"creationTimestamp": "2026-04-22T12:00:00Z",
"updateTimestamp": "2026-04-22T12:00:00Z"
},
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Create payload for an acceptance criterion.
Response
200 - application/json
Acceptance criterion created
⌘I
Create acceptance criterion
curl --request POST \
--url https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO"
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria"
payload = {
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({criterion: 'Dashboard shows trend for last 30 days', status: 'TO_DO'})
};
fetch('https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'criterion' => 'Dashboard shows trend for last 30 days',
'status' => 'TO_DO'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria"
payload := strings.NewReader("{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items/{id}/acceptance-criteria")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"criterion\": \"Dashboard shows trend for last 30 days\",\n \"status\": \"TO_DO\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "b3d45b4f-0192-4c9b-9d3d-5f0f2d8f7c11",
"criterion": "Dashboard shows trend for last 30 days",
"status": "TO_DO",
"valueItem": {
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228"
},
"creationTimestamp": "2026-04-22T12:00:00Z",
"updateTimestamp": "2026-04-22T12:00:00Z"
},
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}
